> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List accounts

> This endpoint returns a list of all the accounts associated with the specified `user`.

<Warning>
This request will not return the full account number. It may return the last four digits of the account number if that information has been provided during aggregation. If you need the full account number, please refer to [List account numbers by member](/api-reference/platform-api/reference/list-account-numbers-by-member/) or [List account numbers by account](/api-reference/platform-api/reference/list-account-numbers-by-account/).
</Warning>




## OpenAPI

````yaml openapi/platform-api/v20111101.yaml GET /users/{user_guid}/accounts
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /users/{user_guid}/accounts:
    get:
      tags:
        - accounts
      summary: List accounts
      description: >
        This endpoint returns a list of all the accounts associated with the
        specified `user`.


        <Warning>

        This request will not return the full account number. It may return the
        last four digits of the account number if that information has been
        provided during aggregation. If you need the full account number, please
        refer to [List account numbers by
        member](/api-reference/platform-api/reference/list-account-numbers-by-member/)
        or [List account numbers by
        account](/api-reference/platform-api/reference/list-account-numbers-by-account/).

        </Warning>
      operationId: listUserAccounts
      parameters:
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/memberIsManagedByUser'
        - $ref: '#/components/parameters/accountIsManual'
        - $ref: '#/components/parameters/recordsPerPageMax1000'
        - $ref: '#/components/parameters/userGuid'
        - $ref: '#/components/parameters/useCase'
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/AccountsResponseBody'
          description: OK
components:
  parameters:
    page:
      description: Results are paginated. Specify current page.
      example: 1
      in: query
      name: page
      schema:
        type: integer
    memberIsManagedByUser:
      description: List only accounts whose member is managed by the user.
      example: true
      in: query
      name: member_is_managed_by_user
      schema:
        type: boolean
    accountIsManual:
      description: List only accounts that were manually created.
      example: true
      in: query
      name: is_manual
      schema:
        type: boolean
    recordsPerPageMax1000:
      description: >-
        This specifies the number of records to be returned on each page.
        Defaults to `25`. The valid range is from `10` to `1000`. If the value
        exceeds `1000`, the default value of `25` will be used instead.
      example: 10
      in: query
      name: records_per_page
      schema:
        type: integer
    userGuid:
      description: The unique identifier for a `user`, beginning with the prefix `USR-`.
      example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
      in: path
      name: user_guid
      required: true
      schema:
        type: string
    useCase:
      description: >-
        The use case associated with the member. Valid values are `PFM` and
        `MONEY_MOVEMENT`. For example, you can append either `?use_case=PFM` or
        `?use_case=MONEY_MOVEMENT`.
      example: MONEY_MOVEMENT
      required: false
      in: query
      name: use_case
      schema:
        type: string
  schemas:
    AccountsResponseBody:
      properties:
        accounts:
          items:
            $ref: '#/components/schemas/AccountResponse'
          type: array
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
    AccountResponse:
      properties:
        account_number:
          example: '5366'
          nullable: true
          type: string
        account_number_set_by:
          example: 1
          nullable: true
          type: integer
        account_ownership:
          example: INDIVIDUAL
          nullable: true
          type: string
        annuity_policy_to_date:
          example: '2016-10-13T17:57:37.000Z'
          nullable: true
          type: string
        annuity_provider:
          example: Metlife
          nullable: true
          type: string
        annuity_term_year:
          example: 2048
          nullable: true
          type: integer
        apr:
          example: 1
          nullable: true
          type: number
        apr_set_by:
          example: 1
          nullable: true
          type: integer
        apy:
          example: 1
          nullable: true
          type: number
        apy_set_by:
          example: 1
          nullable: true
          type: integer
        available_balance:
          example: 1000
          nullable: true
          type: number
        available_balance_set_by:
          example: 1
          nullable: true
          type: integer
        available_credit:
          example: 1000
          nullable: true
          type: number
        available_credit_set_by:
          example: 1
          nullable: true
          type: integer
        balance:
          example: 10000
          nullable: true
          type: number
        balance_set_by:
          example: 1
          nullable: true
          type: integer
        calculated_apr:
          example: 21.66409
          nullable: true
          type: number
        cash_balance:
          example: 1000
          nullable: true
          type: number
        cash_balance_set_by:
          example: 1
          nullable: true
          type: integer
        cash_surrender_value:
          example: 1000
          nullable: true
          type: number
        cash_surrender_value_set_by:
          example: 1
          nullable: true
          type: integer
        created_at:
          example: '2023-07-25T17:14:46Z'
          nullable: false
          type: string
        credit_limit:
          example: 100
          nullable: true
          type: number
        credit_limit_set_by:
          example: 1
          nullable: true
          type: integer
        currency_code:
          example: USD
          nullable: true
          type: string
        currency_code_set_by:
          example: 1
          nullable: true
          type: integer
        day_payment_is_due:
          example: 20
          nullable: true
          type: integer
        day_payment_is_due_set_by:
          example: 1
          nullable: true
          type: integer
        death_benefit:
          example: 1000
          nullable: true
          type: integer
        death_benefit_set_by:
          example: 1
          nullable: true
          type: integer
        federal_insurance_status:
          example: INSURED
          nullable: true
          type: string
        feed_account_number:
          example: '5366'
          nullable: true
          type: string
        feed_account_subtype:
          example: 1
          nullable: true
          type: integer
        feed_account_type:
          example: 1
          nullable: true
          type: integer
        feed_apr:
          example: 1
          nullable: true
          type: number
        feed_apy:
          example: 1
          nullable: true
          type: number
        feed_available_balance:
          example: 1000
          nullable: true
          type: number
        feed_balance:
          example: 1000
          nullable: true
          type: number
        feed_cash_balance:
          example: 1000
          nullable: true
          type: number
        feed_cash_surrender_value:
          example: 1000
          nullable: true
          type: number
        feed_credit_limit:
          example: 100
          nullable: true
          type: number
        feed_currency_code:
          example: USD
          nullable: true
          type: string
        feed_day_payment_is_due:
          example: 20
          nullable: true
          type: integer
        feed_death_benefit:
          example: 1000
          nullable: true
          type: integer
        feed_holdings_value:
          example: 1000
          nullable: true
          type: number
        feed_interest_rate:
          example: 1
          nullable: true
          type: number
        feed_is_closed:
          example: false
          nullable: true
          type: boolean
        feed_last_payment:
          example: 100
          nullable: true
          type: number
        feed_last_payment_at:
          example: '2023-07-25T17:14:46Z'
          nullable: true
          type: string
        feed_loan_amount:
          example: 1000
          nullable: true
          type: number
        feed_matures_on:
          example: '2015-10-13T17:57:37.000Z'
          nullable: true
          type: string
        feed_minimum_balance:
          example: 100
          nullable: true
          type: number
        feed_minimum_payment:
          example: 10
          nullable: true
          type: number
        feed_name:
          example: Test account 2
          nullable: true
          type: string
        feed_nickname:
          example: My Checking
          nullable: true
          type: string
        feed_original_balance:
          example: 10
          nullable: true
          type: number
        feed_payment_due_at:
          example: '2025-02-13T17:57:37.000Z'
          nullable: true
          type: string
        feed_payoff_balance:
          example: 10
          nullable: true
          type: number
        feed_routing_number:
          example: '68899990000000'
          nullable: true
          type: string
        feed_started_on:
          example: '2020-10-13T17:57:37.000Z'
          nullable: true
          type: string
        feed_statement_balance:
          example: 100
          nullable: true
          type: number
        feed_total_account_value:
          example: 100
          nullable: true
          type: number
        guid:
          example: ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1
          nullable: true
          type: string
        holdings_value:
          example: 1000
          nullable: true
          type: number
        holdings_value_set_by:
          example: 1
          nullable: true
          type: integer
        id:
          example: '1040434698'
          nullable: true
          type: string
        imported_at:
          example: '2015-10-13T17:57:37.000Z'
          nullable: true
          type: string
        institution_code:
          example: 3af3685e-05d9-7060-359f-008d0755e993
          nullable: true
          type: string
        institution_guid:
          example: INS-12a3b-4c5dd6-1349-008d0755e993
          nullable: true
          type: string
        insured_name:
          example: Tommy Shelby
          nullable: true
          type: string
        interest_rate:
          example: 1
          nullable: true
          type: number
        interest_rate_set_by:
          example: 1
          nullable: true
          type: integer
        is_closed:
          example: false
          nullable: true
          type: boolean
        is_closed_set_by:
          example: 1
          nullable: true
          type: integer
        is_hidden:
          example: false
          nullable: true
          type: boolean
        is_manual:
          example: false
          nullable: true
          type: boolean
        last_payment:
          example: 100
          nullable: true
          type: number
        last_payment_set_by:
          example: 1
          nullable: true
          type: integer
        last_payment_at:
          example: '2023-07-25T17:14:46Z'
          nullable: true
          type: string
        last_payment_at_set_by:
          example: 1
          nullable: true
          type: integer
        loan_amount:
          example: 1000
          nullable: true
          type: number
        loan_amount_set_by:
          example: 1
          nullable: true
          type: integer
        margin_balance:
          example: 1000
          nullable: true
          type: number
        matures_on:
          example: '2015-10-13T17:57:37.000Z'
          nullable: true
          type: string
        matures_on_set_by:
          example: 1
          nullable: true
          type: integer
        member_guid:
          example: MBR-7c6f361b-e582-15b6-60c0-358f12466b4b
          nullable: true
          type: string
        member_id:
          example: member123
          nullable: true
          type: string
        member_is_managed_by_user:
          example: false
          nullable: true
          type: boolean
        metadata:
          example: some metadata
          nullable: true
          type: string
        minimum_balance:
          example: 100
          nullable: true
          type: number
        minimum_balance_set_by:
          example: 1
          nullable: true
          type: integer
        minimum_payment:
          example: 10
          nullable: true
          type: number
        minimum_payment_set_by:
          example: 1
          nullable: true
          type: integer
        name:
          example: Test account 2
          nullable: true
          type: string
        name_set_by:
          example: 1
          nullable: true
          type: integer
        nickname:
          example: My Checking
          nullable: true
          type: string
        nickname_set_by:
          example: 1
          nullable: true
          type: integer
        original_balance:
          example: 10
          nullable: true
          type: number
        original_balance_set_by:
          example: 1
          nullable: true
          type: integer
        pay_out_amount:
          example: 10
          nullable: true
          type: number
        payment_due_at:
          example: '2015-10-13T17:57:37.000Z'
          nullable: true
          type: string
        payment_due_at_set_by:
          example: 1
          nullable: true
          type: integer
        payoff_balance:
          example: 10
          nullable: true
          type: number
        payoff_balance_set_by:
          example: 1
          nullable: true
          type: integer
        premium_amount:
          example: 3900
          nullable: true
          type: number
        property_type:
          example: VEHICLE
          nullable: true
          type: string
        routing_number:
          example: '68899990000000'
          nullable: true
          type: string
        started_on:
          example: '2015-10-13T17:57:37.000Z'
          nullable: true
          type: string
        started_on_set_by:
          example: 1
          nullable: true
          type: integer
        statement_balance:
          example: 1000.5
          nullable: true
          type: number
        statement_balance_set_by:
          example: 1
          nullable: true
          type: integer
        subtype:
          example: NONE
          nullable: true
          type: string
        subtype_set_by:
          example: 1
          nullable: true
          type: integer
        today_ugl_amount:
          example: 1000.5
          nullable: true
          type: number
        today_ugl_percentage:
          example: 6.9
          nullable: true
          type: number
        total_account_value:
          example: 1
          nullable: true
          type: number
        total_account_value_set_by:
          example: 1
          nullable: true
          type: integer
        total_account_value_ugl:
          example: 1
          nullable: true
          type: number
        type:
          example: SAVINGS
          nullable: true
          type: string
        type_set_by:
          example: 1
          nullable: true
          type: integer
        updated_at:
          example: '2016-10-13T18:08:00.000Z'
          nullable: true
          type: string
        user_guid:
          example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
          nullable: true
          type: string
        user_id:
          example: user123
          nullable: true
          type: string
      type: object
    PaginationResponse:
      properties:
        current_page:
          example: 1
          type: integer
        per_page:
          example: 25
          type: integer
        total_entries:
          example: 1
          type: integer
        total_pages:
          example: 1
          type: integer
      type: object
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````